net.sf.jasperreports.components.map

## Interface MapComponent

- All Superinterfaces:
    java.lang.Cloneable, Component, JRCloneable
  All Known Implementing Classes:
    StandardMapComponent

      public interface MapComponent
      extends Component, JRCloneable

  The Map component interface.
  Version:
    $Id: MapComponent.java 7002 2014-04-07 11:26:42Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_PATH_NAME`
    `static java.lang.Integer` | `DEFAULT_ZOOM`
    `static java.lang.String` | `ELEMENT_MARKER_DATA`
    `static java.lang.String` | `ELEMENT_PATH_DATA`
    `static java.lang.String` | `ELEMENT_PATH_STYLE`
    `static java.lang.String` | `PROPERTY_address`
    `static java.lang.String` | `PROPERTY_CLIENT_ID`
    `static java.lang.String` | `PROPERTY_isPolygon`
    `static java.lang.String` | `PROPERTY_KEY`
    `static java.lang.String` | `PROPERTY_latitude`
    `static java.lang.String` | `PROPERTY_locations`
    `static java.lang.String` | `PROPERTY_longitude`
    `static java.lang.String` | `PROPERTY_name`
    `static java.lang.String` | `PROPERTY_PREFIX`
    `static java.lang.String` | `PROPERTY_SIGNATURE`
    `static java.lang.String` | `PROPERTY_style`
    `static java.lang.String` | `PROPERTY_title`
    `static java.lang.String` | `PROPERTY_VERSION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getAddressExpression()` Returns a `JRExpression` representing the address of the map center.
    `java.lang.String` | `getEvaluationGroup()` Returns the evaluation group name for the map component element
    `EvaluationTimeEnum` | `getEvaluationTime()` Returns the evaluation time of the map component element
    `MapImageTypeEnum` | `getImageType()` Returns the image format of the map.
    `JRExpression` | `getLanguageExpression()` Returns a `JRExpression` representing the language for the labels on the map.
    `JRExpression` | `getLatitudeExpression()` Returns a `JRExpression` representing the latitude coordinate of the map center
    `JRExpression` | `getLongitudeExpression()` Returns a `JRExpression` representing the longitude coordinate of the map center
    `MapScaleEnum` | `getMapScale()` Returns the scale factor of the Google map used to return higher-resolution map images when working with high resolution screens available on mobile devices.
    `MapTypeEnum` | `getMapType()` Returns the type of the Google map.
    `ItemData` | `getMarkerData()` Deprecated. Replaced by `getMarkerDataList()`.
    `java.util.List<ItemData>` | `getMarkerDataList()` Returns a list of `ItemData` objects representing collections of markers on the map
    `MarkerDataset` | `getMarkerDataset()` Deprecated. Replaced by `getMarkerDataList()`.
    `OnErrorTypeEnum` | `getOnErrorType()` Returns an attribute that customizes the way the engine handles a missing map image during report generation.
    `java.util.List<ItemData>` | `getPathDataList()` Returns a list of `ItemData` objects representing collections of paths on the map
    `java.util.List<ItemData>` | `getPathStyleList()` Returns a list of `ItemData` objects representing collections of path styles for the map
    `JRExpression` | `getZoomExpression()` Returns a numeric expression representing the zoom factor of the map.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_PREFIX

          static final java.lang.String PROPERTY_PREFIX

      See Also:
        Constant Field Values

    - #### PROPERTY_KEY

          static final java.lang.String PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### PROPERTY_CLIENT_ID

          static final java.lang.String PROPERTY_CLIENT_ID

      See Also:
        Constant Field Values

    - #### PROPERTY_SIGNATURE

          static final java.lang.String PROPERTY_SIGNATURE

      See Also:
        Constant Field Values

    - #### PROPERTY_VERSION

          static final java.lang.String PROPERTY_VERSION

      See Also:
        Constant Field Values

    - #### PROPERTY_latitude

          static final java.lang.String PROPERTY_latitude

      See Also:
        Constant Field Values

    - #### PROPERTY_longitude

          static final java.lang.String PROPERTY_longitude

      See Also:
        Constant Field Values

    - #### PROPERTY_address

          static final java.lang.String PROPERTY_address

      See Also:
        Constant Field Values

    - #### PROPERTY_title

          static final java.lang.String PROPERTY_title

      See Also:
        Constant Field Values

    - #### PROPERTY_name

          static final java.lang.String PROPERTY_name

      See Also:
        Constant Field Values

    - #### PROPERTY_style

          static final java.lang.String PROPERTY_style

      See Also:
        Constant Field Values

    - #### PROPERTY_isPolygon

          static final java.lang.String PROPERTY_isPolygon

      See Also:
        Constant Field Values

    - #### PROPERTY_locations

          static final java.lang.String PROPERTY_locations

      See Also:
        Constant Field Values

    - #### ELEMENT_MARKER_DATA

          static final java.lang.String ELEMENT_MARKER_DATA

      See Also:
        Constant Field Values

    - #### ELEMENT_PATH_STYLE

          static final java.lang.String ELEMENT_PATH_STYLE

      See Also:
        Constant Field Values

    - #### ELEMENT_PATH_DATA

          static final java.lang.String ELEMENT_PATH_DATA

      See Also:
        Constant Field Values

    - #### DEFAULT_PATH_NAME

          static final java.lang.String DEFAULT_PATH_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_ZOOM

          static final java.lang.Integer DEFAULT_ZOOM

  - ### Method Detail

    - #### getLatitudeExpression

          JRExpression getLatitudeExpression()

      Returns a `JRExpression` representing the latitude coordinate of the map center
      Returns:
        the latitude expression

    - #### getLongitudeExpression

          JRExpression getLongitudeExpression()

      Returns a `JRExpression` representing the longitude coordinate of the map center
      Returns:
        the longitude expression

    - #### getAddressExpression

          JRExpression getAddressExpression()

      Returns a `JRExpression` representing the address of the map center. If no latitude or longitude coordinates are provided, the address expression will be used to calculate these coordinates
      Returns:
        the address expression

    - #### getZoomExpression

          JRExpression getZoomExpression()

      Returns a numeric expression representing the zoom factor of the map.
      Returns:
        the zoom expression

    - #### getLanguageExpression

          JRExpression getLanguageExpression()

      Returns a `JRExpression` representing the language for the labels on the map.
      Returns:
        the language expression

    - #### getEvaluationTime

          EvaluationTimeEnum getEvaluationTime()

      Returns the evaluation time of the map component element
      Returns:
        the evaluation time

    - #### getEvaluationGroup

          java.lang.String getEvaluationGroup()

      Returns the evaluation group name for the map component element
      Returns:
        the evaluation group

    - #### getMapType

          MapTypeEnum getMapType()

      Returns the type of the Google map. Possible values are:
      - `ROADMAP` (default value)
      - `SATELLITE`
      - `TERRAIN`
      - `HYBRID`
      Returns:
        the type of the Google map
      See Also:
        `MapTypeEnum`

    - #### getMapScale

          MapScaleEnum getMapScale()

      Returns the scale factor of the Google map used to return higher-resolution map images when working with high resolution screens available on mobile devices. Possible values are:
      - `1` (default value)
      - `2`
      - `4` (for Business customers only)
      Returns:
        the scale factor

    - #### getImageType

          MapImageTypeEnum getImageType()

      Returns the image format of the map. Possible values are:
      - `PNG` (default value)
      - `PNG_8`
      - `PNG_32`
      - `GIF`
      - `JPG`
      - `JPG_BASELINE`
      Returns:
        the image format of the map
      See Also:
        `MapImageTypeEnum`

    - #### getOnErrorType

          OnErrorTypeEnum getOnErrorType()

      Returns an attribute that customizes the way the engine handles a missing map image during report generation. Possible values are:
      - `ERROR` (default value)
      - `BLANK`
      - `ICON`
      Returns:
        the onErrorType attribute
      See Also:
        `OnErrorTypeEnum`

    - #### getMarkerDataList

          java.util.List<ItemData> getMarkerDataList()

      Returns a list of `ItemData` objects representing collections of markers on the map
      Returns:
        a list of marker data
      See Also:
        `ItemData`

    - #### getPathStyleList

          java.util.List<ItemData> getPathStyleList()

      Returns a list of `ItemData` objects representing collections of path styles for the map
      Returns:
        a list of path styles
      See Also:
        `ItemData`

    - #### getPathDataList

          java.util.List<ItemData> getPathDataList()

      Returns a list of `ItemData` objects representing collections of paths on the map
      Returns:
        a list of path data
      See Also:
        `ItemData`

    - #### getMarkerData

          ItemData getMarkerData()

      Deprecated. Replaced by `getMarkerDataList()`.

    - #### getMarkerDataset

          MarkerDataset getMarkerDataset()

      Deprecated. Replaced by `getMarkerDataList()`.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com